package com.ruoyi.model.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务记录对象 service_record
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
public class ServiceRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识 */
    private Long id;

    /** 伴宠师id */
    @Excel(name = "伴宠师id")
    private Long petTeacherId;

    /** 删除标识 */
    private Integer delFlag;

    /** 图片记录 */
    @Excel(name = "图片记录")
    private String imagesRecord;

    /** 服务时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "服务时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date serviceTime;

    /** 服务类型表的id */
    @Excel(name = "服务类型表的id")
    private Long serviceType;

    /** 文字记录 */
    @Excel(name = "文字记录")
    private String textRecord;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPetTeacherId(Long petTeacherId) 
    {
        this.petTeacherId = petTeacherId;
    }

    public Long getPetTeacherId() 
    {
        return petTeacherId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setImagesRecord(String imagesRecord) 
    {
        this.imagesRecord = imagesRecord;
    }

    public String getImagesRecord() 
    {
        return imagesRecord;
    }
    public void setServiceTime(Date serviceTime) 
    {
        this.serviceTime = serviceTime;
    }

    public Date getServiceTime() 
    {
        return serviceTime;
    }
    public void setServiceType(Long serviceType) 
    {
        this.serviceType = serviceType;
    }

    public Long getServiceType() 
    {
        return serviceType;
    }
    public void setTextRecord(String textRecord) 
    {
        this.textRecord = textRecord;
    }

    public String getTextRecord() 
    {
        return textRecord;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("petTeacherId", getPetTeacherId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("imagesRecord", getImagesRecord())
            .append("remark", getRemark())
            .append("serviceTime", getServiceTime())
            .append("serviceType", getServiceType())
            .append("textRecord", getTextRecord())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
